import requst from './requst.js';
import store from '@/store/index.js'
// 查询轮播位置
export function slidePosition(data) {
  return requst.get("/api/common/slide-positions");
}
//查询主题色，图标配置
export function themeEv(){
	return requst.get('/api/index/mini-program-setting').then(res=>{
		if(res.code==0){
			let list = [];
			if(res.data.footBar.length!=0){//底部导航
				res.data.footBar.forEach(item=>{
					let obj = {
						iconPath: item.icon,
						selectedIconPath: item.icon,
						title:item.name
					}
					list.push(obj);
				})
				store.commit('updateState', {list})
			}
		}
	})
}
// 查询购物车数量
export function getCartNum(){
	return requst.get('/api/order/shopping-cart-count').then(res=>{
		if(res.code==0){
			store.commit('setNum', 9)
		}
	})
}